Package fr.gouv.vitam.worker.core.plugin.deleteGotVersions.handlers

# Class DeleteGotVersionsPreparationPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.deleteGotVersions.handlers.DeleteGotVersionsPreparationPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class DeleteGotVersionsPreparationPlugin extends ActionHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DISTRIBUTION_FILE_OG`
  `static final String`
  `FIRST_BINARY_MASTER`
  `static final String`
  `FIRST_PHYSICAL_MASTER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteGotVersionsPreparationPlugin()`
  `DeleteGotVersionsPreparationPlugin(MetaDataClientFactory metaDataClientFactory, DeleteGotVersionsReportService reportService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemStatus`
  `execute(WorkerParameters param, HandlerIO handler)`
  Execute an action
  `List<ObjectGroupToDeleteReportEntry>`
  `generateGotWithDetails(ObjectGroupResponse objectGroup, DeleteGotVersionsRequest deleteGotVersionsRequest)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIRST_BINARY_MASTER

    public static final String FIRST_BINARY_MASTER

  - ### FIRST_PHYSICAL_MASTER

    public static final String FIRST_PHYSICAL_MASTER

  - ### DISTRIBUTION_FILE_OG

    public static final String DISTRIBUTION_FILE_OG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteGotVersionsPreparationPlugin

    public DeleteGotVersionsPreparationPlugin()

  - ### DeleteGotVersionsPreparationPlugin

    public DeleteGotVersionsPreparationPlugin(MetaDataClientFactory metaDataClientFactory, DeleteGotVersionsReportService reportService)

- ## Method Details

  - ### execute

    public ItemStatus execute(WorkerParameters param, HandlerIO handler)
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `param` - `WorkerParameters`
      `handler` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code

  - ### generateGotWithDetails

    public List<ObjectGroupToDeleteReportEntry> generateGotWithDetails(ObjectGroupResponse objectGroup, DeleteGotVersionsRequest deleteGotVersionsRequest)